Skip to main content
Assistants

列出智能体

返回智能体列表。

GET
/assistants
cURL
curl --request GET \
  --url 'https://dashscope.aliyuncs.com/api/v1/assistants' \
  --header 'Authorization: Bearer <YOUR_API_KEY>'
{
  "object": "list",
  "data": [
    {
      "id": "asst_49079f4b-d1e8-4015-a12e-2dcdd1f18d84",
      "object": "assistant",
      "created_at": 1711713885724,
      "model": "qwen-max",
      "name": "智能小助手",
      "description": "这是一个智能小助手",
      "instructions": "你是一个智能小助手,你可以根据用户的需求去调用不同的工具,进而给出回答。请酌情使用工具。",
      "tools": [
        {
          "type": "code_interpreter"
        }
      ],
      "metadata": {},
      "temperature": null,
      "top_p": null,
      "top_k": null,
      "max_tokens": null,
      "request_id": "b1778226-3865-9006-9e95-56329a710322"
    }
  ],
  "first_id": "asst_0678aa33-43e2-4268-95e6-b0010f9f7937",
  "last_id": "asst_7af23142-52bc-4218-aa98-dfdb1128f19c",
  "has_more": true,
  "request_id": "bc257359-ce86-9547-98be-d804effba8d1"
}

Authorizations

string
header
required

DashScope API Key,在控制台 API Key 页面(https://bailian.console.aliyun.com/settings/apikey)获取。请求头格式:Authorization: Bearer $DASHSCOPE_API_KEY。

Query Parameters

integer

创建智能体的数量。

string

按照创建时间升序或降序,可选 desc(默认)或 asc。

Response

200-application/json
Managed Agent API
Flow Agent API
RAG API
Connector API
框架集成
  • 框架